module ParichkiBg
  class Railtie < Rails::Railtie
    initializer "ParichkiBg.add_configurations" do
      config = YAML.load_file Rails.root.join("config", "parichki_bg.yml")
      ParichkiBg::secret_key = config[Rails.env]["secret_key"]
      ParichkiBg::vendor_id = config[Rails.env]["vendor_id"]
    end
  end
end